import React,{useState} from 'react';
import NewPage from '@/components/NewPage';
import { Steps, Tabs } from '@arco-design/web-react';
import {apply} from '@/assets/images';
import {result} from '@/assets/images/icon';

const Step = Steps.Step;
const TabPane = Tabs.TabPane;


const FileMessage = (props) => {

  const [tabsActive, setTabsActive] = useState('1');
  const [current, setCurrent] = useState(7);
  const [tabsList, setTabList] = useState([
		{
			img: result,
			label: '档案信息',
			key: '1',
      isNeedStep:true
		},
		{
			img: apply,
			label: '申请记录',
			key: '2',
			isNeedStep: true,//加上这个就有进度条
		},
	])


  return (
    <>
      <NewPage
        pageHead={
          { breadcrumbData: [{ title: '工作台' }, { title: '事件中心' }], title: '详情' }
        }
      >
        <Tabs
          defaultActiveTab='1'
          onChange={(v) => setTabsActive(v)}
          className='myTabContent'
        >
          {tabsList?.map(item => {
            return <TabPane
              key={item.key}
              title={
                <span>
                  {tabsActive === item.key && <img src={item.img} alt="" style={{ width: '16px', height: '16px', margin: '-5px 12px 0px 0px' }} />}
                  <span style={{ fontSize: '16px' }}>{item.label}</span>
                </span>
              }
            >
              {
                item.isNeedStep && <div style={{ backgroundColor: '#fff', margin: '12px 16px 0px 16px', paddingTop: '16px', paddingLeft: '91px' }}>
                  <Steps type='navigation' current={current}>
                    <Step title='来访登记' disabled />
                    <Step title='事件流转' disabled />
                    <Step title='办理反馈' disabled />
                    <Step title='结案审核' disabled />
                    <Step title='当事人评价' disabled />
                    <Step title='结案归档' disabled />
                  </Steps>
                </div>
              }
              {tabsActive === '1' &&
                <></>
              }
              {
                tabsActive === '2' &&
                <></>
              }
            </TabPane>
          })}
        </Tabs>


      </NewPage>
    </>
  )
}

export default FileMessage;